com.amazonaws.codegen.model.config.customization

## Class ShapeModifier

- java.lang.Object
- - com.amazonaws.codegen.model.config.customization.ShapeModifier

    public class ShapeModifier
    extends Object

Use shapeModifiers customization to add/remove shape members or to modify the properties of a member.

### Constructor Summary

Constructors
Constructor and Description
`ShapeModifier()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<String>` `getExclude()`
`List<Map<String,Member>>` `getInject()`
`List<Map<String,ShapeModifier_ModifyModel>>` `getModify()`
`boolean` `isExcludeShape()`
`void` `setExclude(List<String> exclude)`
`void` `setExcludeShape(boolean excludeShape)`
`void` `setInject(List<Map<String,Member>> inject)`
`void` `setModify(List<Map<String,ShapeModifier_ModifyModel>> modify)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShapeModifier

    public ShapeModifier()

### Method Detail

#### isExcludeShape

    public boolean isExcludeShape()

Returns:
  true if the whole shape should be excluded.

#### setExcludeShape

    public void setExcludeShape(boolean excludeShape)

#### getExclude

    public List<String> getExclude()

Returns:
  A list of member names that should be excluded when processing the given shape.

#### setExclude

    public void setExclude(List<String> exclude)

#### getModify

    public List<Map<String,ShapeModifier_ModifyModel>> getModify()

Returns:
  List of singleton maps, each containing the name of a shape member, and the modifications that we want to apply to it.

#### setModify

    public void setModify(List<Map<String,ShapeModifier_ModifyModel>> modify)

#### getInject

    public List<Map<String,Member>> getInject()

Returns:
  A list of singleton maps, each containing a custom member that we want to inject to this shape.

#### setInject

    public void setInject(List<Map<String,Member>> inject)